!!.. depth to time conversion for a single trace
module base_dp2tau_mod
  implicit none

contains

  integer function base_dp2tau_init() result(stat)
  end function

  integer function base_dp2tau_clos(adj,tri,tro,vel) result(stat)
  end function


  integer function base_dp2tau_oper() result(stat)
  end function



  subroutine makezt()
    t(1) = 2.*fz/v(1)
    do iz=2:nz
       t(iz) = t(iz-1)+2.*dz/v(iz-1)
    end do
    vfz = v(1)
    vlz = v(nz)
    
  end subroutine
end module
